c(XRS82:CLOCKIRX.F)
c
c ----------------------------------------------------------------------
c     If you need to make changes to this code to meet the
c     requirements of your compiler and/or operating-system:
c
c     PLEASE: send it in!
c
c     We will try to have a (more) compatible master copy.
c
c     "crgk"-comments = changes by Ralf Grosse Kunstleve,
c                       ETH Zurich, Jan/Feb 1993
c ----------------------------------------------------------------------
c
c date routine for Compaq fortran by RJ ANGEL VT CRYSTALLOGRAPHY JAN 2002
C (TAKEN FROM SINGLE-99)
C
      SUBROUTINE XRSDATE(STRING)
      CHARACTER*9 STRING
      CHARACTER*3 MONTH(12)
      CHARACTER*10 TTIME,DDATE,ZONE,TEMP
      INTEGER IVAL(8)
C
      DATA MONTH/'JAN','FEB','MAR','APR','MAY','JUN','JUL',
     1           'AUG','SEP','OCT','NOV','DEC'/
C
      CALL DATE_AND_TIME(DDATE,TTIME,ZONE,IVAL)
C
C Keep compiler quiet
      temp = ddate
      temp = ttime
      temp = zone
      ITEMP=IVAL(1)/100
      ITEMP=IVAL(1)-100*ITEMP
      WRITE(STRING,10)IVAL(3),MONTH(IVAL(2)),ITEMP
10    FORMAT(I2,'-',A3,'-',I2.2)						
      RETURN
      END

